/*
*	SCCS:	@(#)	INC/std.h		Rel 1.2	(1/16/92)
*
*	UniSoft Ltd, Hayne St, London EC1
*
* (C) Copyright 1989 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/

/***********************************************************************

NAME:		std.h

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:	Contains project-wide useful fundamental cpp definitions
		Definitions in here may need changing different
		host architectures.
INSTRUCTIONS:


AUTHOR:		Hamish Reid, UniSoft Ltd.
DATE CREATED:	Thu Apr  3 10:51:02 GMT 1986

MODIFICATIONS:
	Adopted by VSW for the wrpt program.

************************************************************************/

/*	Useful Boolean Values:			*/

#define	TRUE	(1)
#define	FALSE	(0)
#define	OK	(1)

/*	System call failure code:		*/

#define	SYSERROR	(-1)

#ifndef	NUL
#define	NUL	'\0'		/* C string terminator		*/
#endif

/* Pseudo storage classes: */

#define	public
#define	private	static

/* whether to use/test ANSI features */

#define TEST_ANSI	(__STDC__ > 0 && \
			(_XOPEN_SOURCE == 0 || TEST_XPG > 3))
		    /*   !defined(_XOPEN_SOURCE) may give syntax error */

#if TEST_ANSI
extern void vsxerror(char *, ...);
#else
extern void vsxerror();
#endif
