/*
*	SCCS:	@(#)	INC/sysdep.h		Rel 4.1.1	(12/23/91)
*
*	UniSoft Ltd., London, England
*
* (C) Copyright 1991 X/Open Company Limited
*
* All rights reserved.  No part of this source code may be reproduced,
* stored in a retrieval system, or transmitted, in any form or by any
* means, electronic, mechanical, photocopying, recording or otherwise,
* except as stated in the end-user licence agreement, without the prior
* permission of the copyright owners.
*
* X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
* the UK and other countries.
*/
/***********************************************************************

NAME:		sysdep.h - VSX-wide system dependancies

PROJECT:	VSX (X/OPEN Validation Suite)

DESCRIPTION:
	These values are now contained in std.h
AUTHOR:
	Hamish Reid, UniSoft Ltd.
DATE CREATED:
	Tue May 27 15:54:24 BST 1986
MODIFICATIONS:
	Geoff Clare  9 Dec 1988
		Undefine system interfaces for testing the function
		versions where macros exist.
	
	Geoff Clare, 2 Aug 1989
		Add an extern declaration after each #undef
	
	Geoff Clare, 7 Feb 1990
		Add #undef sigmask

	Dave Cater, 28 March 1990
		Add PATH_TRACE for resilience upgrade.
	
	Geoff Clare, 25 Apr 1990
		Add definitions for read(), write() and getcwd().

	Geoff Clare, 26 Nov 1990
		Move path tracing macros to dbug.h.
		Add #undef's for XPG4 interfaces.
		Delete extern declarations after #undef lines.

	Geoff Clare, 14 Nov 1991
		Add more #undef's for XPG4 interfaces.

	Stuart Boutell, 5 December 1991
		Modified for use with the VSW test suite.
		* Removed everything. vrpt doesn't need
		* any of this. Kept to permit easy migration
		* of future vrpt code.

************************************************************************/

